// priority: 0


Platform.getInfo('kubejs').name = 'Stacia 2: Expert'


StartupEvents.registry('item', event => {
	event.create('stone_mechanism').displayName('Stone Mechanism')
	event.create('stone_nugget').displayName('Stone Nugget')
	event.create('glowing_mechanism').displayName('Glowing Mechanism')
	event.create('golden_electron_tube').displayName('Golden Electron Tube')
	event.create('redstone_crystal').displayName('Redstone Crystal')
	event.create('allay_fertilizer').displayName('Allay Fertilizer')
	event.create('madeline_strawberry').displayName('Madeline Strawberry')
	event.create('stacium_ingot').displayName('Goddess of Creation: Stacia Ingot')
	event.create('solus_ingot').displayName('Goddess of Sun: Solus Ingot')
	event.create('terrarium_ingot').displayName('Goddess of Earth: Terraria Ingot')
	event.create('lunaria_ingot').displayName('Goddess of Darkness: Lunaria Ingot')
	event.create('aquamarine').displayName('Aquamarine')
	event.create('aquamarine_electron_tube').displayName('Aquamarine Electron Tube')
	event.create('starmetal_ingot').displayName('Starmetal Ingot')


	event.create('resonating_gem').displayName('Resonating Gem')

	event.create('large_plate_cast').displayName('Large Plate Cast')

	event.create('catal_ender').displayName('Ender Catalyst')
	event.create('catal_glowstone').displayName('Glowstone Catalyst')

	event.create('catal_blood').displayName('Blood Catalyst')

	event.create('osmiridium_ingot').displayName('Osmiridium Ingot')

	event.create('endsteel_ingot').displayName('Endsteel Ingot')
	event.create('endsteel_gear').displayName('Endsteel Gear')
	event.create('plate_endsteel').displayName('Endsteel Plate')

	event.create('darksteel_ingot').displayName('Darksteel Ingot')
	event.create('darksteel_gear').displayName('Darksteel Gear')
	event.create('plate_darksteel').displayName('Darksteel Plate')

	event.create('single_use_ingot_cast').displayName('Ingot Cast - Single Use')

	event.create('plate_diamond').displayName('Diamond Plate')
	event.create('plate_emerald').displayName('Emerald Plate')
	event.create('plate_lapis').displayName('Lapis Plate')
	event.create('plate_quartz').displayName('Quartz Plate')

	event.create('nugget_lapis').displayName('Lapis Nugget')
	event.create('nugget_quartz').displayName('Quartz Nugget')

	event.create('iron_aluminum_ingot').displayName('Iron - Aluminum Alloy Ingot')

	event.create('slate_1').displayName('Basic Slate')
	event.create('slate_2').displayName('Reinforced Slate')
	event.create('slate_3').displayName('Ultimate Slate')
	event.create('slate_fluix').displayName('Fluix Slate')

	event.create('slate_uwuterium').displayName('§dUwuterium Slate')
	event.create('uwuterium_ingot').displayName('§dUwuterium Ingot')
	event.create('uwuterium_nugget').displayName('§dUwuterium Nugget')
	event.create('uwuterium_pearl').displayName('§dUwuterium Pearl')

	event.create('bloody_mechanism').displayName('Bloody Mechanism')

	event.create('draconium_dust').displayName('§5Draconium Dust')
	event.create('draconium_ingot').displayName('§5Draconium Ingot')

	event.create('awakened_draconium_ingot').displayName('§6Awakened Draconium Ingot')

	event.create('endsteel_bars').displayName('Endsteel Bars')
	event.create('darksteel_bars').displayName('Darksteel Bars')

	event.create('dense_lead_plate').displayName('Dense Lead Plate')

	event.create('manasteel_processor').displayName('Manasteel Processor')
	event.create('terrasteel_processor').displayName('Terrasteel Processor')
	event.create('elementium_processor').displayName('Elementium Processor')
	event.create('uwuterium_processor').displayName('§dUwuterium Processor')

	event.create('netherrack_piece').displayName('Nether Brick Pieces')
	event.create('flint_handle').displayName('Flint Handle')

	//Large Plates
	event.create('lp_steel').displayName('Steel Large Plate')
	event.create('lp_copper').displayName('Copper Large Plate')
	event.create('lp_aquamarine').displayName('Aquamarine Large Plate')
	event.create('lp_redstone').displayName('Redstone Large Plate')
	event.create('lp_silver').displayName('Silver Large Plate')
	event.create('lp_tin').displayName('Tin Large Plate')
	event.create('lp_electrum').displayName('Electrum Large Plate')

	//DE
	event.create('de_draconic_core').displayName('Draconic Core')
	event.create('de_wyvern_core').displayName('Wyvern Core')
	event.create('de_awakened_core').displayName('Awakened Core')
	event.create('charged_enriched_iron').displayName('Charged Quartz Enriched Iron')
	event.create('goldium').displayName('Goldium Crystal')
	event.create('infused_goldium').displayName('Infused Goldium Crystal').glow(true)
	event.create('endsteel_nugget').displayName('Endsteel Nugget')
	event.create('darksteel_nugget').displayName('Darksteel Nugget')
	event.create('blue_slime').displayName('Blue Slime Ball')
	event.create('pigiron_ingot').displayName('Pig Iron Ingot')
	event.create('soulsteel_ingot').displayName('Soulsteel Ingot')
	event.create('hepatizon_ingot').displayName('Hepatizon Ingot')
	event.create('slimesteel_ingot').displayName('Slimesteel Ingot')
	event.create('pigiron_nugget').displayName('Pig Iron Nugget')
	event.create('soulsteel_nugget').displayName('Soulsteel Nugget')
	event.create('hepatizon_nugget').displayName('Hepatizon Nugget')
	event.create('slimesteel_nugget').displayName('Slimesteel Nugget')
	event.create('seared_brick').displayName('Seared Bricks')
	event.create('dense_iron_plate').displayName('Dense Iron Plate')
	event.create('stardust').displayName('Stardust')
	event.create('devilish_horn').displayName('Devilish Horn')
	event.create('osmium_plate').displayName('Osmium Plate')
	event.create('osmium_gear').displayName('Osmium Gear')
	event.create('blue_plastic').displayName('Blue Plastic Sheet')
	event.create('basic_capacitor').displayName('Basic Capacitor')
	event.create('advanced_capacitor').displayName('Advanced Capacitor')
	event.create('ultimate_capacitor').displayName('Ultimate Capacitor')


	event.create('in_rf_coil').displayName('Incomplete Redstone Flux Coil')
	event.create('in_starmetal_ingot').displayName('Incomplete Starmetal Ingot')
	event.create('in_bloody_mechanism').displayName('Incomplete Bloody Mechanism')
	event.create('in_creative_blaze_cake').displayName('Incomplete Creative Blaze Cake')

	event.create('raw_arcane').displayName('Raw Arcane')
	
})

StartupEvents.registry('block', event => {


	event.create("reinforced_obsidian")
    .resistance(1200) // no explody
    .hardness(50)     // same mining speed as obsidian
    .tagBlock("minecraft:wither_immune") // no wither breaky
    .tagBlock("minecraft:dragon_immune") // no dragon breaky

	event.create('arcane_ore').soundType('stone').hardness(2.0).displayName('Arcane Ore').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('magical_casing').soundType('stone').hardness(2.0).displayName('Ancient Stone Bricks').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('glimmering_livingrock').soundType('stone').hardness(2.0).displayName('Glimmering Livingrock').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('aquamarine_block').soundType('stone').hardness(2.0).displayName('Block of Aquamarine').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('machine_frame_simple').soundType('stone').hardness(2.0).displayName('Endsteel Machine Frame').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')

	event.create('draconium_block').displayName('§5Draconium Block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('charged_draconium_block').displayName('§5Charged Draconium Block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('awakened_draconium_block').displayName('§6Awakened Draconium Block').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')

	event.create('goldium_block').displayName('Block of Goldium Crystal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('infused_goldium_block').displayName('Block of Infused Goldium Crystal').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')

	event.create('grout').displayName('Grout').tagBlock("mineable/shovel").tagBlock('minecraft:needs_stone_tool')

	event.create('slimesteel_block').displayName('Block of Slimesteel').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('pigiron_block').displayName('Block of Pig Iron').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('soulsteel_block').displayName('Block of Soulsteel').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('hepatizon_block').displayName('Block of Hepatizon').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')

	event.create('starmetal_ore').soundType('stone').hardness(2.0).displayName('Starmetal Ore').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_iron_tool')
	event.create('mana_sand').displayName('Mana Sand').tagBlock("mineable/shovel").tagBlock('minecraft:needs_iron_tool')


	event.create('uwuterium_block').displayName('§dBlock Of Uwuterium').tagBlock("mineable/pickaxe").tagBlock('minecraft:needs_diamond_tool')
})

StartupEvents.registry('fluid', e => {

    e.create('molten_steel').displayName('Molten Steel')
	.thickTexture(0xFFFFFF).bucketColor(0x3d3d3d)
	.flowingTexture('kubejs:item/molten_steel').stillTexture('kubejs:item/molten_steel')

	e.create('mana').displayName('Mana')
	.thickTexture(0x37fcf7).bucketColor(0x37fcf7)
	.flowingTexture('minecraft:block/water_flow').stillTexture('minecraft:block/water_still')

	e.create('dimensional_shard_sap').displayName('Dimensional Shard Sap')
	.thickTexture(0x7cc4c2).bucketColor(0x7cc4c2)
	.flowingTexture('minecraft:block/water_flow').stillTexture('minecraft:block/water_still')

	e.create('starlight').displayName('Liquid Starlight')
	.thickTexture(0xd8d7d7).bucketColor(0xd8d7d7)
	.flowingTexture('kubejs:item/liquid_starlight_still').stillTexture('kubejs:item/liquid_starlight_still')

	e.create('molten_starmetal').displayName('Molten Starmetal')
	.thickTexture(0x002c8f).bucketColor(0x002c8f)
	.flowingTexture('kubejs:item/molten_starmetal').stillTexture('kubejs:item/molten_starmetal')

	e.create('molten_uwuterium').displayName('Molten Uwuterium')
	.thickTexture(0xff66b2).bucketColor(0xff66b2)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('molten_infused_coalium').displayName('Molten Infused Coal')
	.thickTexture(0x040e0e).bucketColor(0x040e0e)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('stacia_essence').displayName('Essence Of Lambent Light')
	.thickTexture(0x0ee0cea).bucketColor(0xee0cea)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('solus_essence').displayName('Essence Of Hecate II')
	.thickTexture(0x13eaee).bucketColor(0x13eaee)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('terraria_essence').displayName('Essence Of Joyeuse')
	.thickTexture(0x0ced1b).bucketColor(0x0ced1b)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('lunaria_essence').displayName('Essence Of Mothers Rosario')
	.thickTexture(0x561bf1).bucketColor(0x561bf1)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('molten_obsidian').displayName('Molten Obsidian')
	.thickTexture(0x38254d).bucketColor(0x38254d)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')

	e.create('molten_lapis').displayName('Molten Lapis Lazuli')
	.thickTexture(0x1c52a6).bucketColor(0x1c52a6)
	.flowingTexture('kubejs:item/lava_flow').stillTexture('kubejs:item/lava_still')



})


ItemEvents.modification(event => {
    event.modify("kubejs:uwuterium_slate", item => {
		item.rarity = 'epic'
    })
})
  
